cstddef File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | __cpp_lib_byte
#define | _GLIBCXX_CSTDDEF

## Typedefs

template<typename _IntegerType >
using | std::__byte_op_t = typename __byte_operand< _IntegerType >::__type

## Enumerations

enum class | std::byte : unsigned char

## Functions

constexpr byte | std::operator& (byte __l, byte __r) noexcept
constexpr byte & | std::operator&= (byte &__l, byte __r) noexcept
template<typename _IntegerType >
constexpr __byte_op_t< _IntegerType > | std::operator<< (byte __b, _IntegerType __shift) noexcept
template<typename _IntegerType >
constexpr __byte_op_t< _IntegerType > & | std::operator<<= (byte &__b, _IntegerType __shift) noexcept
template<typename _IntegerType >
constexpr __byte_op_t< _IntegerType > | std::operator>> (byte __b, _IntegerType __shift) noexcept
template<typename _IntegerType >
constexpr __byte_op_t< _IntegerType > & | std::operator>>= (byte &__b, _IntegerType __shift) noexcept
constexpr byte | std::operator^ (byte __l, byte __r) noexcept
constexpr byte & | std::operator^= (byte &__l, byte __r) noexcept
constexpr byte | std::operator| (byte __l, byte __r) noexcept
constexpr byte & | std::operator|= (byte &__l, byte __r) noexcept
constexpr byte | std::operator~ (byte __b) noexcept
template<typename _IntegerType >
constexpr _IntegerType | std::to_integer (__byte_op_t< _IntegerType > __b) noexcept

## Detailed Description

This is a Standard C++ Library file. You should `#include` this file in your programs, rather than any of the *.h implementation files.

This is the C++ version of the Standard C Library header `stddef.h`, and its contents are (mostly) the same as that header, but are all contained in the namespace `std` (except for names which are defined as macros in C).

Definition in file cstddef.